/* pointer.c
 * Introduce pointers.
 */
#include <stdio.h>

int main() {
  int x = 123, y;
  int *pointerOne, *pointerTwo;

  pointerOne = &x;
  y = *pointerOne;
  printf("x = %d, y = %d\n", x, y);

  pointerTwo = pointerOne;
  *pointerTwo = 99;
  printf("x = %d, y = %d\n", x, y);

  pointerTwo = &y;
  printf("*pointerOne = %d, *pointerTwo = %d\n",
      *pointerOne, *pointerTwo);
  printf("pointerOne = %u, pointerTwo = %u\n",
      pointerOne, pointerTwo);

  return 0;
}
