/* student.c
 * Passing structures to functions.
 */
#include <stdio.h>
#include <string.h>
#define NAME_SIZE 80

typedef struct {
  char last[NAME_SIZE];
  char first[NAME_SIZE];
  double gpa;
  int startYear;
} student_t;

void printRecord(student_t student);
student_t readRecord(void);

int main() {
  student_t student;

  student = readRecord();
  printRecord(student);
  return 0;
}

void printRecord(student_t student) {
  printf("%s, %s: gpa:%f, year:%d\n",
      student.last, student.first,
      student.gpa, student.startYear);
}

student_t readRecord(void) {
  student_t student;
  student.gpa = 3.5;
  student.startYear = 2000;
  strncpy(student.first,
      "Jane", NAME_SIZE);
  strncpy(student.last,
      "Programmer", NAME_SIZE);

  return student;
}
